Log4j Version 1.2.7: Interface ErrorHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.spi
Interface ErrorHandler

All Superinterfaces:
  OptionHandler

All Known Implementing Classes:
  OnlyOnceErrorHandler, FallbackErrorHandler

public interface ErrorHandler
extends OptionHandler

Appenders may delegate their error handling to `ErrorHandlers`.

Error handling is a particularly tedious to get right because by definition errors are hard to predict and to reproduce.

Please take the time to contact the author in case you discover that errors are not properly handled. You are most welcome to suggest new error handling policies or criticize existing policies.

Author:
  Ceki Gülcü

Method Summary
`void` | `error(String message)` This method is normally used to just print the error message passed as a parameter.
`void` | `error(String message, Exception e, int errorCode)` Equivalent to the `error(String, Exception, int, LoggingEvent event)` with the the event parameteter set to `null`.
`void` | `error(String message, Exception e, int errorCode, LoggingEvent event)` This method is invoked to handle the error.
`void` | `setAppender(Appender appender)` Set the appender for which errors are handled.
`void` | `setBackupAppender(Appender appender)` Set the appender to falkback upon in case of failure.
`void` | `setLogger(Logger logger)` Add a reference to a logger to which the failing appender might be attached to.

Methods inherited from interface org.apache.log4j.spi.OptionHandler
`activateOptions`

Method Detail

### setLogger

    public void setLogger(Logger logger)

  Add a reference to a logger to which the failing appender might be attached to. The failing appender will be searched and replaced only in the loggers you add through this method.
  Parameters:
    `logger` - One of the loggers that will be searched for the failing appender in view of replacement.
  Since:
    1.2

### error

    public void error(String message,
                      Exception e,
                      int errorCode)

  Equivalent to the `error(String, Exception, int, LoggingEvent event)` with the the event parameteter set to `null`.

### error

    public void error(String message)

  This method is normally used to just print the error message passed as a parameter.

### error

    public void error(String message,
                      Exception e,
                      int errorCode,
                      LoggingEvent event)

  This method is invoked to handle the error.
  Parameters:
    `message` - The message assoicated with the error.
    `e` - The Exption that was thrown when the error occured.
    `errorCode` - The error code associated with the error.
    `event` - The logging event that the failing appender is asked to log.
  Since:
    1.2

### setAppender

    public void setAppender(Appender appender)

  Set the appender for which errors are handled. This method is usually called when the error handler is configured.
  Since:
    1.2

### setBackupAppender

    public void setBackupAppender(Appender appender)

  Set the appender to falkback upon in case of failure.
  Since:
    1.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.